Subject: ENCO Hobby Lathe and Harbor Freight's ARE THEY TH

From: [email-masked] (Ernest Durelli)
Date: 3 May 1996 17:27:22 -0400

Is the ENCO (which I am not familiar with) the same as the Central machinery
brand featured in the H.F. catalog?  I am thinking about buying a Sherline
to build the Schreckling model gas turbine engine but the Sherline's
largest chuck (3.125 o.d.) would not be able to hold the largest Schreckling
part.  The Central Machinery brand looks like a good deal but I would
be worried about getting accessories, spare parts and not to mention
accuracy.  Any comments would be appreciated.

					    Ernie